Help us improve your experience.

Let us know what you think.

Do you have time for a two-minute survey?

 

Installing Python 2.7.9 on OSX

 

You must install Python 2.7.9 to run JSA Application Framework SDK on the OSX operating system.

OSX usually comes with Python 2.7.x. The JSA app framework SDK requires Python 2.7.9.

  1. To install the HomeBrew package manager, type this command:

    ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"

  2. To install the Python version manager, pyenv , type this command:

    brew install pyenv

  3. To use pyenv to install Python 2.7.9, type this command:

    pyenv install 2.7.9

  4. To check that Python 2.7.9 was installed correctly, type this command:

    pyenv versions

  5. To use Python 2.7.9 locally, type this command:

    pyenv global 2.7.9

  6. To check your Python version, type this command:

    python --version

    If this command returns 2.7.9, the installation was successful.

    If this command returns 2.7.x, it might indicate an issue with pyenv. To solve this problem, open or create the ~/.bash_profile file in a text editor and add the following lines:

    export PATH=/usr/local/bin:$PATH export PYENV_ROOT="$HOME/.pyenv" export PATH="$PYENV_ROOT/shims:$PATH"

    Type the python --version command to check that Python 2.7.9 was installed.